﻿Public Class Conversor

    Public Shared Function BinaryToString(ByVal Binary As String) As String
        Try
            Dim Characters As String = System.Text.RegularExpressions.Regex.Replace(Binary, "[^01]", "")
            Dim ByteArray((Characters.Length / 8) - 1) As Byte
            For Index As Integer = 0 To ByteArray.Length - 1
                ByteArray(Index) = Convert.ToByte(Characters.Substring(Index * 8, 8), 2)
            Next
            Return System.Text.ASCIIEncoding.ASCII.GetString(ByteArray)

        Catch
            Throw
        End Try

    End Function

    Public Shared Function StringToBinary(ByVal Text As String, Optional ByVal Separator As String = " ") As String
        Try
            Dim oReturn As New System.Text.StringBuilder
            For Each Character As Byte In System.Text.ASCIIEncoding.ASCII.GetBytes(Text)
                oReturn.Append(Convert.ToString(Character, 2).PadLeft(8, "0"))
                oReturn.Append(Separator)
            Next
            Return oReturn.ToString

        Catch
            Throw
        End Try

    End Function

End Class
